using System;
using Falcon.Extend;
using FAuth.Extensions;
using FAuth.Extensions.Account;
using FAuth.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using api = FAuth.Controllers.api;

namespace FAuth.Controllers.web
{
    /// <summary>
    /// Ӧÿ
    /// </summary>
    public class AppController:WebControllerBase<AppController>
    {
        public AccountHelper Account { get; set; }

        public AppController(ILogger<AppController> logger,IServiceProvider service) : base(logger,service) {
            this.Account = this.Services.GetService<AccountHelper>();
        }

        public IActionResult Index() {
            return PartialView();
        }

        public IActionResult AddNew() {
            return PartialView();
        }
    }
}